WebStorm 2016.2.2 is now available

WebStorm 2016.2.2 is now available! You can download it from our website or, if you’re using WebStorm 2016.2.1, you will soon receive a notification about available patch-update.

In addition to various bug fixes, this update brings performance improvements for the projects opened for the first time, thanks to a new way of indexing the node_modules folder. You can find a full list of all addressed issues in the Release notes.

Your WebStorm Team

About Ekaterina Prigara

Ekaterina Prigara is WebStorm product marketing manager at JetBrains. She's passionate about new technologies, UX and coffee.
This entry was posted in Release Announcements and tagged . Bookmark the permalink.

7 Responses to WebStorm 2016.2.2 is now available

  1. Kasper says:

    Are you guys planning better Flow support? I have switched to Atom in my flow project because of the very minimal Flow support of Webstorm. It is a hard choice because Webstorm does so much other things much better than Atom (code formatting, git integration, debugging, quick fixing, import suggests, etc. etc. etc. ).

    But Atom’s flow support is just in a way other level than Webstorm. It understand my code. Webstorm can not even parse a Flow type definition file. And the completion, hover information, and warnings of Atom make a very good coding experience.

    Thanks for the great product, would love if you could consider putting more effort in Flow, it is a really nice type system, that seems to get more popular lately.

  2. Yura says:

    + 1 for the better Flow support, should move back to Atom + Nuclide for ReactJS/Native development since I’m using Flow checks a lot…

    Also, I would value ability to choose Flow support as an addition to the JavaScript language version (like React JSX).

    Thank you.

    • Ekaterina Prigara says:

      You can now enable support for the Flow syntax just like for JXS in Preferences | Languages and Frameworks | JavaScript.
      We are working on further Flow integration. Stay tuned!

  3. Thank you !! I can really see the difference with node_modules !

  4. Alex Oshchepkov says:

    Please fix this regression, it is a real blocker for upgrade:
    https://youtrack.jetbrains.com/issue/IDEA-153873

Leave a Reply to Ekaterina Prigara Cancel reply

Your email address will not be published. Required fields are marked *